Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001021SpeedFanOtherpublic2007-11-03 13:372008-05-14 19:51
ReporterRodEvan 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSVistaOS Version
Product Version4.33 
Target VersionFixed in Version4.35 beta 
Summary0001021: Access violation on load
DescriptionOn loading v.4.33 I get the following message 'Access violation at address 00605DB2 in module 'speedfan.exe'. Read of address 00000022.

This occurs when the text box in the main screen shows 'End of detection'. WHile the CPU useage screen remains completely blank.

If I click OK in the message box, speedfan just displays the blank CPU useage and other screens
If I click on 'Configure' I then get the messagfe 'access violation at address 00616DCE in module speedfan.exe'. Read of address 00000022'
Additional InformationI'm not sure this is a bug with speedfan - it might be a corrupted configuration data following a system crash.

I was entering configuration data using the current beta version (.34) when my
system froze and a had to do a reboot. Speedfan hasn't operated since then. I have uninstalled and then reinstalled to version 4.33 but still no joy.



TagsNo tags attached.
Motherboard Model
Video Card ModelATI radeon HD 2600 XT (BIOS 113-AB 18800-100)
Attached Files? file icon debug01.nfo [^] (13,280 bytes) 2007-11-06 21:25

- Relationships

-  Notes
(0003160)
RodEvan (reporter)
2007-11-03 14:15

Hi Alfredo, I forgot to say that when I uninstalled 4.34 I used the uninstall option to remove existing configuraiton info
(0003169)
alfredo (manager)
2007-11-05 13:57

Install SpeedFan 4.33. Reboot.
Uninstall SpeedFan 4.33. Reboot.
Install SpeedFan 4.33. Reboot.
Does it run now?
If not, please, upload here (there is a specific button) DEBUG.NFO file from SpeedFan's directory.
(0003172)
RodEvan (reporter)
2007-11-05 22:03

Hi Alfredo,

I've done the uninstall/install bit but the problem remains.

I don't have a file called DEBUG.NFO in speedfan's directory.

If there's a way I can get speedfan to save debug information then please let me know - obviously I can't use configuration options becuase I can't load the configuration screen.

Thanks.
(0003174)
alfredo (manager)
2007-11-06 10:48

Try to run SpeedFan with the following command line parameters:

/NOSMBSCAN /NOPCISCAN /NOSUPERIO /NOSMARTSCAN

Does it start?
After you start SpeedFan a DEBUG.NFO is immediately created in SpeedFan's directory. Are you running SpeedFan with administrator rights?
(0003178)
RodEvan (reporter)
2007-11-06 21:24

Hi Alfredo,

I followed your instructions - using the command line given and Speedfan started up fine, with the debug file and configuration file visible again in the speedfan directory.

I had a repeat of the problem where the configuration option form is placed off screen but using the guidance given by 'nate' in issue 0000998, I was able to get it back.

Running speedfan in adminstrator mode seems to have solved the problem - and am currently running version 4.34 beta 34 and all is well. I will upload the debug file created when I ran first the command line .

I don't know why I have to ran speedfan in administrator mode now as I never did previously.

Let me know if you want any further debug info .
With thanks again,
Roderick Evan

- Issue History
Date Modified Username Field Change
2007-11-03 13:37 RodEvan New Issue
2007-11-03 13:37 RodEvan Status new => assigned
2007-11-03 13:37 RodEvan Assigned To => alfredo
2007-11-03 13:37 RodEvan Video Card Model => ATI radeon HD 2600 XT (BIOS 113-AB 18800-100)
2007-11-03 14:15 RodEvan Note Added: 0003160
2007-11-05 13:57 alfredo Note Added: 0003169
2007-11-05 13:57 alfredo Status assigned => acknowledged
2007-11-05 22:03 RodEvan Note Added: 0003172
2007-11-06 10:48 alfredo Note Added: 0003174
2007-11-06 21:24 RodEvan Note Added: 0003178
2007-11-06 21:25 RodEvan File Added: debug01.nfo
2008-05-14 19:51 alfredo Status acknowledged => resolved
2008-05-14 19:51 alfredo Resolution open => fixed
2008-05-14 19:51 alfredo Fixed in Version => 4.35 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3475 seconds.
memory usage: 8,080 KB
Powered by Mantis Bugtracker